#define IN_TYPE     uchar
#define OUT_TYPE    int
#define BIN_OP(A,B) ((A)+(B))
#define IDENTITY    0
#define PARA_DEF
#define PARA_CALL

uchar mpIndex2edgeIndex(uchar mpIndex)
{
    uchar edgeIndex = 0;
    uchar firstBit = mpIndex&1;
    for(uchar i=1;i<8;i++)
    {
        uchar mask = 1 << i;
        edgeIndex += mask * (firstBit ^  ((mpIndex&mask)>0));

    }
    return edgeIndex;
}

int Preprocess(uchar mpIndex)
{
    return mpIndex2edgeIndex(mpIndex)>0;
}
