#define IN_TYPE       int
#define OUT_TYPE       int
#define BIN_OP(A,B)     ((A)+(B))
#define IDENTITY        0 
#define PARA_DEF    ,__global uchar* mpIndex
#define PARA_CALL   ,mpIndex

inline int vertsNum(uchar mpIndex)
{
    int vertsNum = 0;
    unsigned char firstBit = mpIndex&1;
    int i=0;
    for(int i=1;i<8;i++)
    {
        unsigned char mask = 1 << i;
        vertsNum += (firstBit ^  ((mpIndex&mask)>0));

    }
    return vertsNum;
}

int Preprocess(int mp, __global uchar* mpIndex)
{    
    return vertsNum(mpIndex[mp]);
}
