//vert2EdgeId[v][_edgeIndx] returns the edge id of vertex numbered v associated with
//a mesh point with edgeIndx _edgeIndx*2(remember that edgeIndx range: 128-255).
//if v is greater than the number of vertices, then -1 is returned.
__constant char vert2EdgeId[7][128]={
{
-1, 1, 2, 1, 3, 1, 2, 1, 
4, 1, 2, 1, 3, 1, 2, 1, 
5, 1, 2, 1, 3, 1, 2, 1, 
4, 1, 2, 1, 3, 1, 2, 1, 
6, 1, 2, 1, 3, 1, 2, 1, 
4, 1, 2, 1, 3, 1, 2, 1, 
5, 1, 2, 1, 3, 1, 2, 1, 
4, 1, 2, 1, 3, 1, 2, 1, 
7, 1, 2, 1, 3, 1, 2, 1, 
4, 1, 2, 1, 3, 1, 2, 1, 
5, 1, 2, 1, 3, 1, 2, 1, 
4, 1, 2, 1, 3, 1, 2, 1, 
6, 1, 2, 1, 3, 1, 2, 1, 
4, 1, 2, 1, 3, 1, 2, 1, 
5, 1, 2, 1, 3, 1, 2, 1, 
4, 1, 2, 1, 3, 1, 2, 1
},
{
-1, -1, -1, 2, -1, 3, 3, 2, 
-1, 4, 4, 2, 4, 3, 3, 2, 
-1, 5, 5, 2, 5, 3, 3, 2, 
5, 4, 4, 2, 4, 3, 3, 2, 
-1, 6, 6, 2, 6, 3, 3, 2, 
6, 4, 4, 2, 4, 3, 3, 2, 
6, 5, 5, 2, 5, 3, 3, 2, 
5, 4, 4, 2, 4, 3, 3, 2, 
-1, 7, 7, 2, 7, 3, 3, 2, 
7, 4, 4, 2, 4, 3, 3, 2, 
7, 5, 5, 2, 5, 3, 3, 2, 
5, 4, 4, 2, 4, 3, 3, 2, 
7, 6, 6, 2, 6, 3, 3, 2, 
6, 4, 4, 2, 4, 3, 3, 2, 
6, 5, 5, 2, 5, 3, 3, 2, 
5, 4, 4, 2, 4, 3, 3, 2
},
{
-1, -1, -1, -1, -1, -1, -1, 3, 
-1, -1, -1, 4, -1, 4, 4, 3, 
-1, -1, -1, 5, -1, 5, 5, 3, 
-1, 5, 5, 4, 5, 4, 4, 3, 
-1, -1, -1, 6, -1, 6, 6, 3, 
-1, 6, 6, 4, 6, 4, 4, 3, 
-1, 6, 6, 5, 6, 5, 5, 3, 
6, 5, 5, 4, 5, 4, 4, 3, 
-1, -1, -1, 7, -1, 7, 7, 3, 
-1, 7, 7, 4, 7, 4, 4, 3, 
-1, 7, 7, 5, 7, 5, 5, 3, 
7, 5, 5, 4, 5, 4, 4, 3, 
-1, 7, 7, 6, 7, 6, 6, 3, 
7, 6, 6, 4, 6, 4, 4, 3, 
7, 6, 6, 5, 6, 5, 5, 3, 
6, 5, 5, 4, 5, 4, 4, 3
},
{
-1, -1, -1, -1, -1, -1, -1, -1, 
-1, -1, -1, -1, -1, -1, -1, 4, 
-1, -1, -1, -1, -1, -1, -1, 5, 
-1, -1, -1, 5, -1, 5, 5, 4, 
-1, -1, -1, -1, -1, -1, -1, 6, 
-1, -1, -1, 6, -1, 6, 6, 4, 
-1, -1, -1, 6, -1, 6, 6, 5, 
-1, 6, 6, 5, 6, 5, 5, 4, 
-1, -1, -1, -1, -1, -1, -1, 7, 
-1, -1, -1, 7, -1, 7, 7, 4, 
-1, -1, -1, 7, -1, 7, 7, 5, 
-1, 7, 7, 5, 7, 5, 5, 4, 
-1, -1, -1, 7, -1, 7, 7, 6, 
-1, 7, 7, 6, 7, 6, 6, 4, 
-1, 7, 7, 6, 7, 6, 6, 5, 
7, 6, 6, 5, 6, 5, 5, 4
},
{
-1, -1, -1, -1, -1, -1, -1, -1, 
-1, -1, -1, -1, -1, -1, -1, -1, 
-1, -1, -1, -1, -1, -1, -1, -1, 
-1, -1, -1, -1, -1, -1, -1, 5, 
-1, -1, -1, -1, -1, -1, -1, -1, 
-1, -1, -1, -1, -1, -1, -1, 6, 
-1, -1, -1, -1, -1, -1, -1, 6, 
-1, -1, -1, 6, -1, 6, 6, 5, 
-1, -1, -1, -1, -1, -1, -1, -1, 
-1, -1, -1, -1, -1, -1, -1, 7, 
-1, -1, -1, -1, -1, -1, -1, 7, 
-1, -1, -1, 7, -1, 7, 7, 5, 
-1, -1, -1, -1, -1, -1, -1, 7, 
-1, -1, -1, 7, -1, 7, 7, 6, 
-1, -1, -1, 7, -1, 7, 7, 6, 
-1, 7, 7, 6, 7, 6, 6, 5
},
{
-1, -1, -1, -1, -1, -1, -1, -1, 
-1, -1, -1, -1, -1, -1, -1, -1, 
-1, -1, -1, -1, -1, -1, -1, -1, 
-1, -1, -1, -1, -1, -1, -1, -1, 
-1, -1, -1, -1, -1, -1, -1, -1, 
-1, -1, -1, -1, -1, -1, -1, -1, 
-1, -1, -1, -1, -1, -1, -1, -1, 
-1, -1, -1, -1, -1, -1, -1, 6, 
-1, -1, -1, -1, -1, -1, -1, -1, 
-1, -1, -1, -1, -1, -1, -1, -1, 
-1, -1, -1, -1, -1, -1, -1, -1, 
-1, -1, -1, -1, -1, -1, -1, 7, 
-1, -1, -1, -1, -1, -1, -1, -1, 
-1, -1, -1, -1, -1, -1, -1, 7, 
-1, -1, -1, -1, -1, -1, -1, 7, 
-1, -1, -1, 7, -1, 7, 7, 6
},
{
-1, -1, -1, -1, -1, -1, -1, -1, 
-1, -1, -1, -1, -1, -1, -1, -1, 
-1, -1, -1, -1, -1, -1, -1, -1, 
-1, -1, -1, -1, -1, -1, -1, -1, 
-1, -1, -1, -1, -1, -1, -1, -1, 
-1, -1, -1, -1, -1, -1, -1, -1, 
-1, -1, -1, -1, -1, -1, -1, -1, 
-1, -1, -1, -1, -1, -1, -1, -1, 
-1, -1, -1, -1, -1, -1, -1, -1, 
-1, -1, -1, -1, -1, -1, -1, -1, 
-1, -1, -1, -1, -1, -1, -1, -1, 
-1, -1, -1, -1, -1, -1, -1, -1, 
-1, -1, -1, -1, -1, -1, -1, -1, 
-1, -1, -1, -1, -1, -1, -1, -1, 
-1, -1, -1, -1, -1, -1, -1, -1, 
-1, -1, -1, -1, -1, -1, -1, 7
}
};



//edge2VertShift[_edgeId][_edgeIndx] returns the order of the vertex associated 
//with a mesh point with edgeIndx = _edgeIndx*2 
//(remember that edgeIndx range: 128-255) 
//and lay on edge with edgeId = _edgeId+1.
//if edge is not crossed, then -1 is returned.
__constant char edge2VertShift[7][128]={
{
-1, 0, -1, 0, -1, 0, -1, 0, 
-1, 0, -1, 0, -1, 0, -1, 0, 
-1, 0, -1, 0, -1, 0, -1, 0, 
-1, 0, -1, 0, -1, 0, -1, 0, 
-1, 0, -1, 0, -1, 0, -1, 0, 
-1, 0, -1, 0, -1, 0, -1, 0, 
-1, 0, -1, 0, -1, 0, -1, 0, 
-1, 0, -1, 0, -1, 0, -1, 0, 
-1, 0, -1, 0, -1, 0, -1, 0, 
-1, 0, -1, 0, -1, 0, -1, 0, 
-1, 0, -1, 0, -1, 0, -1, 0, 
-1, 0, -1, 0, -1, 0, -1, 0, 
-1, 0, -1, 0, -1, 0, -1, 0, 
-1, 0, -1, 0, -1, 0, -1, 0, 
-1, 0, -1, 0, -1, 0, -1, 0, 
-1, 0, -1, 0, -1, 0, -1, 0
},
{
-1, -1, 0, 1, -1, -1, 0, 1, 
-1, -1, 0, 1, -1, -1, 0, 1, 
-1, -1, 0, 1, -1, -1, 0, 1, 
-1, -1, 0, 1, -1, -1, 0, 1, 
-1, -1, 0, 1, -1, -1, 0, 1, 
-1, -1, 0, 1, -1, -1, 0, 1, 
-1, -1, 0, 1, -1, -1, 0, 1, 
-1, -1, 0, 1, -1, -1, 0, 1, 
-1, -1, 0, 1, -1, -1, 0, 1, 
-1, -1, 0, 1, -1, -1, 0, 1, 
-1, -1, 0, 1, -1, -1, 0, 1, 
-1, -1, 0, 1, -1, -1, 0, 1, 
-1, -1, 0, 1, -1, -1, 0, 1, 
-1, -1, 0, 1, -1, -1, 0, 1, 
-1, -1, 0, 1, -1, -1, 0, 1, 
-1, -1, 0, 1, -1, -1, 0, 1
},
{
-1, -1, -1, -1, 0, 1, 1, 2, 
-1, -1, -1, -1, 0, 1, 1, 2, 
-1, -1, -1, -1, 0, 1, 1, 2, 
-1, -1, -1, -1, 0, 1, 1, 2, 
-1, -1, -1, -1, 0, 1, 1, 2, 
-1, -1, -1, -1, 0, 1, 1, 2, 
-1, -1, -1, -1, 0, 1, 1, 2, 
-1, -1, -1, -1, 0, 1, 1, 2, 
-1, -1, -1, -1, 0, 1, 1, 2, 
-1, -1, -1, -1, 0, 1, 1, 2, 
-1, -1, -1, -1, 0, 1, 1, 2, 
-1, -1, -1, -1, 0, 1, 1, 2, 
-1, -1, -1, -1, 0, 1, 1, 2, 
-1, -1, -1, -1, 0, 1, 1, 2, 
-1, -1, -1, -1, 0, 1, 1, 2, 
-1, -1, -1, -1, 0, 1, 1, 2
},
{
-1, -1, -1, -1, -1, -1, -1, -1, 
0, 1, 1, 2, 1, 2, 2, 3, 
-1, -1, -1, -1, -1, -1, -1, -1, 
0, 1, 1, 2, 1, 2, 2, 3, 
-1, -1, -1, -1, -1, -1, -1, -1, 
0, 1, 1, 2, 1, 2, 2, 3, 
-1, -1, -1, -1, -1, -1, -1, -1, 
0, 1, 1, 2, 1, 2, 2, 3, 
-1, -1, -1, -1, -1, -1, -1, -1, 
0, 1, 1, 2, 1, 2, 2, 3, 
-1, -1, -1, -1, -1, -1, -1, -1, 
0, 1, 1, 2, 1, 2, 2, 3, 
-1, -1, -1, -1, -1, -1, -1, -1, 
0, 1, 1, 2, 1, 2, 2, 3, 
-1, -1, -1, -1, -1, -1, -1, -1, 
0, 1, 1, 2, 1, 2, 2, 3
},
{
-1, -1, -1, -1, -1, -1, -1, -1, 
-1, -1, -1, -1, -1, -1, -1, -1, 
0, 1, 1, 2, 1, 2, 2, 3, 
1, 2, 2, 3, 2, 3, 3, 4, 
-1, -1, -1, -1, -1, -1, -1, -1, 
-1, -1, -1, -1, -1, -1, -1, -1, 
0, 1, 1, 2, 1, 2, 2, 3, 
1, 2, 2, 3, 2, 3, 3, 4, 
-1, -1, -1, -1, -1, -1, -1, -1, 
-1, -1, -1, -1, -1, -1, -1, -1, 
0, 1, 1, 2, 1, 2, 2, 3, 
1, 2, 2, 3, 2, 3, 3, 4, 
-1, -1, -1, -1, -1, -1, -1, -1, 
-1, -1, -1, -1, -1, -1, -1, -1, 
0, 1, 1, 2, 1, 2, 2, 3, 
1, 2, 2, 3, 2, 3, 3, 4
},
{
-1, -1, -1, -1, -1, -1, -1, -1, 
-1, -1, -1, -1, -1, -1, -1, -1, 
-1, -1, -1, -1, -1, -1, -1, -1, 
-1, -1, -1, -1, -1, -1, -1, -1, 
0, 1, 1, 2, 1, 2, 2, 3, 
1, 2, 2, 3, 2, 3, 3, 4, 
1, 2, 2, 3, 2, 3, 3, 4, 
2, 3, 3, 4, 3, 4, 4, 5, 
-1, -1, -1, -1, -1, -1, -1, -1, 
-1, -1, -1, -1, -1, -1, -1, -1, 
-1, -1, -1, -1, -1, -1, -1, -1, 
-1, -1, -1, -1, -1, -1, -1, -1, 
0, 1, 1, 2, 1, 2, 2, 3, 
1, 2, 2, 3, 2, 3, 3, 4, 
1, 2, 2, 3, 2, 3, 3, 4, 
2, 3, 3, 4, 3, 4, 4, 5
},
{
-1, -1, -1, -1, -1, -1, -1, -1, 
-1, -1, -1, -1, -1, -1, -1, -1, 
-1, -1, -1, -1, -1, -1, -1, -1, 
-1, -1, -1, -1, -1, -1, -1, -1, 
-1, -1, -1, -1, -1, -1, -1, -1, 
-1, -1, -1, -1, -1, -1, -1, -1, 
-1, -1, -1, -1, -1, -1, -1, -1, 
-1, -1, -1, -1, -1, -1, -1, -1, 
0, 1, 1, 2, 1, 2, 2, 3, 
1, 2, 2, 3, 2, 3, 3, 4, 
1, 2, 2, 3, 2, 3, 3, 4, 
2, 3, 3, 4, 3, 4, 4, 5, 
1, 2, 2, 3, 2, 3, 3, 4, 
2, 3, 3, 4, 3, 4, 4, 5, 
2, 3, 3, 4, 3, 4, 4, 5, 
3, 4, 4, 5, 4, 5, 5, 6
}
};

__constant char tetraMP2voxMP[6][4]=
{
    {0,6,4,7},
    {0,4,5,7},
    {0,5,1,7},
    {0,1,3,7},
    {0,3,2,7},
    {0,2,6,7}
};


__constant char tetraTriangsNum[16]= { 0, 1, 1, 2, 1, 2, 2, 1, 1, 2, 2, 1, 2, 1, 1, 0};


__constant char tetraTriangVerts[16][7]=
{
    {-1,-1,-1,-1,-1,-1,-1},
    { 2, 1, 0,-1,-1,-1,-1},
    { 3, 4, 0,-1,-1,-1,-1},
    { 3, 2, 1, 3, 4, 2,-1},
    { 5, 3, 1,-1,-1,-1,-1},
    { 3, 2, 5, 3, 0, 2,-1},
    { 4, 1, 5, 0, 1, 4,-1},
    { 4, 2, 5,-1,-1,-1,-1},
    
    { 5, 2, 4,-1,-1,-1,-1},
    { 5, 1, 4, 4, 1, 0,-1},
    { 5, 2, 3, 2, 0, 3,-1},
    { 5, 1, 3,-1,-1,-1,-1},
    { 1, 2, 3, 2, 4, 3,-1},
    { 0, 4, 3,-1,-1,-1,-1},
    { 0, 1, 2,-1,-1,-1,-1},
    {-1,-1,-1,-1,-1,-1,-1},
};
